Project/src/model/RecipeBeans.java
package model;

import java.io.Serializable;

/**
 * t_recipeテーブルのデータを格納するためのBeans
 */

public class RecipeBeans implements Serializable {
	private int recipeId;
	private String recipeName;
	private String image;
	private String description;
	private String servings;
	private String ingredients;
	private String preparation;
	private String tips;
	private String source;
	private int userId;
	private int categoryId;

	private String categoryName;
	private int favoriteId;

	// 一覧表示用コンストラクタ
	public RecipeBeans(int recipeId, String recipeName, String image,
			String description, int favoriteId) {
		this.recipeId = recipeId;
		this.recipeName = recipeName;
		this.image = image;
		this.description = description;
		this.favoriteId = favoriteId;
	}

	// 詳細表示用コンストラクタ
	public RecipeBeans(int recipeId, String recipeName, String image, String description,
			String servings, String ingredients, String preparation, String tips,
			String source, int categoryId, String categoryName, int favoriteId) {
		this.recipeId = recipeId;
		this.recipeName = recipeName;
		this.image = image;
		this.description = description;
		this.servings = servings;
		this.ingredients = ingredients;
		this.preparation = preparation;
		this.tips = tips;
		this.source = source;
		this.categoryId = categoryId;
		this.categoryName = categoryName;
		this.favoriteId = favoriteId;
	}

	public int getRecipeId() {
		return recipeId;
	}
	public void setRecipeId(int recipeId) {
		this.recipeId = recipeId;
	}
	public String getRecipeName() {
		return recipeName;
	}
	public void setRecipeName(String recipeName) {
		this.recipeName = recipeName;
	}
	public String getImage() {
		return image;
	}
	public void setImage(String image) {
		this.image = image;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getServings() {
		return servings;
	}
	public void setServings(String servings) {
		this.servings = servings;
	}
	public String getIngredients() {
		return ingredients;
	}
	public void setIngredients(String ingredients) {
		this.ingredients = ingredients;
	}
	public String getPreparation() {
		return preparation;
	}
	public void setPreparation(String preparation) {
		this.preparation = preparation;
	}
	public String getTips() {
		return tips;
	}
	public void setTips(String tips) {
		this.tips = tips;
	}
	public String getSource() {
		return source;
	}
	public void setSource(String source) {
		this.source = source;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public int getCategoryId() {
		return categoryId;
	}
	public void setCategoryId(int categoryId) {
		this.categoryId = categoryId;
	}
	public String getCategoryName() {
		return categoryName;
	}
	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}
	public int getFavoriteId() {
		return favoriteId;
	}
	public void setFavoriteId(int favoriteId) {
		this.favoriteId = favoriteId;
	}

	public String getReplacedServings() {
        return this.servings.replace(" ", "").replaceAll("^[(（]|[)）]$", "");
    }
	public String getReplacedIngredients() {
        return this.ingredients.replace("\r\n", "\n").replace("\r", "\n").replace("\n", "<br>");
    }
	public String getReplacedPreparation() {
        return this.preparation.replace("\r\n", "\n").replace("\r", "\n").replace("\n", "<br>");
    }

}

Project/src/controller/LoginServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.UserBeans;

@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public LoginServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// ログインセッションがある場合、TOP画面にリダイレクトさせる
		HttpSession session = request.getSession();
		UserBeans userSession = (UserBeans) session.getAttribute("userInfo");

		if (userSession != null) {
			response.sendRedirect("RecipeListServlet");
		} else {
			// フォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
		}
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		// 入力項目を引数に渡して、Daoのメソッドを実行
		UserDao userDao = new UserDao();
		UserBeans user = userDao.findByLoginInfo(loginId, password);

		if (user == null) {
			/** テーブルに該当のデータが見つからなかった場合 **/

			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "入力内容が正しくありません。");

			// ログインjspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);

		} else {
			// セッションにユーザーの情報をセット
			HttpSession session = request.getSession();
			session.setAttribute("userInfo", user);

			// レシピ一覧のサーブレットにリダイレクト
			response.sendRedirect("RecipeListServlet");

		}
	}

}

Project/src/controller/RecipeAddServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.MultipartConfig;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.servlet.http.Part;

import dao.CategoryDao;
import dao.RecipeDao;
import dao.RecipeTagDao;
import dao.TagDao;
import model.CategoryBeans;
import model.RecipeBeans;
import model.RecipeTagBeans;
import model.TagBeans;
import model.UserBeans;

@WebServlet("/RecipeAddServlet")
@MultipartConfig
public class RecipeAddServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public RecipeAddServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// ログイン時に取得したユーザーIDをセッションから取得
		HttpSession session = request.getSession();
		UserBeans userSession = (UserBeans) session.getAttribute("userInfo");
		int userId = userSession.getUserId();

		// ユーザーが登録しているカテゴリ名とタグ名を取得
		CategoryDao categoryDao = new CategoryDao();
		List<CategoryBeans> categoryList = categoryDao.getCategoryName(userId);

		TagDao tagDao = new TagDao();
		List<TagBeans> tagList = tagDao.getTagName(userId);

		// リクエストスコープに下記をセット
		// 総ページ数、表示ページ番号、レシピ一覧情報、カテゴリ名、タグ名
		request.setAttribute("categoryList", categoryList);
		request.setAttribute("tagList", tagList);

		// レシピ追加画面のJSPにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/recipeAdd.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// ログイン時に取得したユーザーIDをセッションから取得
		HttpSession session = request.getSession();
		UserBeans userSession = (UserBeans) session.getAttribute("userInfo");
		int userId = userSession.getUserId();

		// リクエストパラメータの文字コードを指定
        request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String recipeName = request.getParameter("recipeName");

		// 画像ファイルがあれば、指定フォルダに取り込んでファイル名を書換・保存
		String image = "";
		Part part = request.getPart("image");
		String fileName = RecipenoteHelper.extractFileName(part);
		if (!fileName.equals("")) {
			image = "u" + userId + "_" + fileName;
			part.write(Parse.IMAGE_DESTINATION_FOLDER + "/" + image);
		}

		String description = request.getParameter("description");
		String servings = request.getParameter("servings");
		String ingredients = request.getParameter("ingredients");
		String preparation = request.getParameter("preparation");
		String tips = request.getParameter("tips");
		String source = request.getParameter("source");
		int categoryId = Integer.parseInt(request.getParameter("categorySelect"));
		String[] tagIds = request.getParameterValues("tagSelect");

		// 抽出したレシピ情報をレシピテーブルに登録
		RecipeDao recipeDao = new RecipeDao();
		int recipeId = recipeDao.saveRecipe(recipeName, image, description, servings,
				ingredients, preparation, tips, source, categoryId, userId);

		// タグ情報をレシピタグテーブルに登録
		RecipeTagDao recipeTagDao = new RecipeTagDao();
		if(tagIds != null && tagIds.length > 0) {
			recipeTagDao.addLinkingTag(recipeId, tagIds);
		}

		System.out.println("Saving recipe by form has been completed.");

		if (recipeId != 0) {
        	// レシピIDに紐づくレシピ詳細とカテゴリ名を取得、リクエストスコープにセット
    	    RecipeBeans recipeDetail = recipeDao.getDetail(recipeId);
    	    request.setAttribute("recipeDetail", recipeDetail);

    	    // レシピIDに紐づくタグIDとタグ名を取得、リクエストスコープにセット
    		List<RecipeTagBeans> tagList = recipeTagDao.getLinkedTags(recipeId);
    		request.setAttribute("tagList", tagList);

    	    // 保存したレシピの詳細画面のJSPにフォワード
            RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/recipeDetail.jsp");
    	    dispatcher.forward(request, response);

		} else {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg", "レシピの保存に失敗しました。");

			// レシピ追加画面のJSPにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/recipeParse.jsp");
    	    dispatcher.forward(request, response);
		}

	}

}

Project/src/controller/RecipeDetailServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import dao.RecipeDao;
import dao.RecipeTagDao;
import model.RecipeBeans;
import model.RecipeTagBeans;

@WebServlet("/RecipeDetailServlet")
public class RecipeDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public RecipeDetailServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// URLからGETパラメータとしてレシピIDを受け取って型変換
		int recipeId = Integer.parseInt(request.getParameter("recipe_id"));
		System.out.println("表示レシピID：" + recipeId);

		// 戻り先ページ表示用
		int pageNum = Integer.parseInt(request.getParameter("page_num") == null || request.getParameter("page_num").equals("") ? "1" : request.getParameter("page_num"));

		// レシピIDに紐づくレシピ詳細とカテゴリ名を取得
		RecipeDao recipeDao = new RecipeDao();
		RecipeBeans recipeDetail = recipeDao.getDetail(recipeId);

		// レシピIDに紐づくタグIDとタグ名を取得
		RecipeTagDao recipeTagDao = new RecipeTagDao();
		List<RecipeTagBeans> tagList = recipeTagDao.getLinkedTags(recipeId);

		// レシピ情報諸々と戻り先ページ番号をリクエストスコープにセットしてjspにフォワード
		request.setAttribute("recipeDetail", recipeDetail);
		request.setAttribute("tagList", tagList);
		request.setAttribute("pageNum", pageNum);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/recipeDetail.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/controller/RecipeEditServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.MultipartConfig;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import javax.servlet.http.Part;

import dao.CategoryDao;
import dao.RecipeDao;
import dao.RecipeTagDao;
import dao.TagDao;
import model.CategoryBeans;
import model.RecipeBeans;
import model.RecipeTagBeans;
import model.TagBeans;
import model.UserBeans;

@WebServlet("/RecipeEditServlet")
@MultipartConfig
public class RecipeEditServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    public RecipeEditServlet() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// URLからGETパラメータとしてレシピIDを受け取って型変換
		int recipeId = Integer.parseInt(request.getParameter("recipe_id"));
		System.out.println("編集レシピID：" + recipeId);

		// 戻り先ページ表示用
		int pageNum = Integer.parseInt(request.getParameter("page_num") == null || request.getParameter("page_num").equals("") ? "1" : request.getParameter("page_num"));


		// レシピIDに紐づくレシピ詳細とカテゴリ名を取得
		RecipeDao recipeDao = new RecipeDao();
		RecipeBeans recipeDetail = recipeDao.getDetail(recipeId);

		// レシピIDに紐づくタグIDとタグ名を取得
		RecipeTagDao recipeTagDao = new RecipeTagDao();
		List<RecipeTagBeans> linkedTagList = recipeTagDao.getLinkedTags(recipeId);

		// ログイン時に取得したユーザーIDをセッションから取得
		HttpSession session = request.getSession();
		UserBeans userSession = (UserBeans) session.getAttribute("userInfo");
		int userId = userSession.getUserId();

		// ユーザーが登録しているカテゴリ名とタグ名を取得
		CategoryDao categoryDao = new CategoryDao();
		List<CategoryBeans> categoryList = categoryDao.getCategoryName(userId);

		TagDao tagDao = new TagDao();
		List<TagBeans> tagList = tagDao.getTagName(userId);

		// レシピ、カテゴリ、タグ情報と戻り先ページ番号をリクエストスコープにセットしてjspにフォワード
		request.setAttribute("recipeDetail", recipeDetail);
		request.setAttribute("linkedTagList", linkedTagList);
		request.setAttribute("pageNum", pageNum);
		request.setAttribute("categoryList", categoryList);
		request.setAttribute("tagList", tagList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/recipeEdit.jsp");
		dispatcher.forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// ログイン時に取得したユーザーIDをセッションから取得
		HttpSession session = request.getSession();
		UserBeans userSession = (UserBeans) session.getAttribute("userInfo");
		int userId = userSession.getUserId();

		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		int recipeId = Integer.parseInt(request.getParameter("editRecipeId"));
		System.out.println("更新レシピID：" + recipeId);

		String recipeName = request.getParameter("newRecipeName");
		String description = request.getParameter("newDescription");
		String servings = request.getParameter("newServings");
		String ingredients = request.getParameter("newIngredients");
		String preparation = request.getParameter("newPreparation");
		String tips = request.getParameter("newTips");
		String source = request.getParameter("newSource");
		int categoryId = Integer.parseInt(request.getParameter("categorySelect"));
		String[] tagIds = request.getParameterValues("tag[]");

		// 画像ファイルがあれば、指定フォルダに取り込んでファイル名を書換・保存
		Part part = request.getPart("newImage");
		String fileName = RecipenoteHelper.extractFileName(part);

		RecipeDao recipeDao = new RecipeDao();
		if (!fileName.equals("")) {
			String image = "u" + userId + "_" + fileName;
			part.write(Parse.IMAGE_DESTINATION_FOLDER + "/" + image);

			// 入力されたレシピ情報をもとにレシピテーブルを更新（imageを含む）
			recipeDao.updateRecipe(recipeId, recipeName, image, description, servings,
					ingredients, preparation, tips, source, userId, categoryId);

		} else {
			// 入力されたレシピ情報をもとにレシピテーブルを更新（imageを含まない）
			recipeDao.updateRecipe(recipeId, recipeName, description, servings,
					ingredients, preparation, tips, source, userId, categoryId);
		}

		// タグ情報をもとにレシピタグテーブルを更新
		//（まずレシピに紐づくタグを全削除し、チェックされたタグがあれば登録しなおす）
		RecipeTagDao recipeTagDao = new RecipeTagDao();
		recipeTagDao.deleteRecipeTag(recipeId);

		if(tagIds != null && tagIds.length > 0) {
			recipeTagDao.addLinkingTag(recipeId, tagIds);
		}

		System.out.println("Updating recipe has been completed.");

		// レシピIDに紐づくレシピ詳細とカテゴリ名を取得し、リクエストスコープにセット
		RecipeBeans recipeDetail = recipeDao.getDetail(recipeId);
		request.setAttribute("recipeDetail", recipeDetail);

		// レシピIDに紐づくタグIDとタグ名を取得し、リクエストスコープにセット
		List<RecipeTagBeans> tagList = recipeTagDao.getLinkedTags(recipeId);
		request.setAttribute("tagList", tagList);

		// 戻り先ページ表示用
		int pageNum = Integer.parseInt(request.getParameter("page_num") == null || request.getParameter("page_num").equals("") ? "1" : request.getParameter("page_num"));
		request.setAttribute("pageNum", pageNum);

		// 対象レシピの詳細画面のJSPにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/recipeDetail.jsp");
		dispatcher.forward(request, response);
	}

}

Project/WebContent/WEB-INF/jsp/recipeDetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>

<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<title>レシピ詳細</title>

    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Kalam|Kosugi+Maru&display=swap&subset=japanese" rel="stylesheet">

    <!-- original CSS -->
    <link href="./css/bootstrap.css" rel="stylesheet">
    <link href="./css/common.css" rel="stylesheet">
</head>
<body>

    <div class="container-fluid">
    <!-- 上インデックス -->
    <div class="row" id="head-row">
        <div class="col-12" id="head-col">
            <div class="header">
                <div id="headnav">
                <a href="RecipeListServlet" id="home">${userInfo.userName}'s recipe note</a>
                </div>
            </div>
        </div>
    </div>

    <div class="row" id="main-row">
        <!-- メインカラム -->
        <div class="col-11 py-3" id="main-col">
            <div class="row mt-4 mb-5">
                <div class="col-9">
                    <h3><span class="crayon">${recipeDetail.recipeName}</span></h3>
                </div>
                <div class="col">
                	<!-- 戻るボタン -->
                	<button type="button" class="btn btn-primary rounded-pill p-0 mr-3" style="width:3.2rem; height:2.2rem;" onclick="location.href='<c:choose><c:when test="${searchWord == null && searchCategory == null && searchTag == null && searchFav == null}">RecipeListServlet?page_num=${pageNum}</c:when><c:otherwise>RecipeSearchServlet?page_num=${pageNum}</c:otherwise></c:choose>'">
                		<i class="fas fa-long-arrow-alt-left fa-2x"></i></button>

                    <!-- お気に入りボタン -->
                    <a class="button button-toggle fa-stack mr-3<c:choose><c:when test="${recipeDetail.favoriteId != 0}"> toggle-on</c:when><c:otherwise> toggle-off</c:otherwise></c:choose>" id="toggle" href="RecipeFavoriteServlet?recipe_id=${recipeDetail.recipeId}&page_num=${pageNum}">
                        <!-- ベタ -->
                        <i class="fas fa-heart fa-stack-2x onHeart"></i>
                        <!-- 輪郭 -->
                        <i class="far fa-heart fa-stack-2x offHeart"></i>
                    </a>

                    <!-- 編集ボタン -->
                    <button type="button" class="btn btn-success rounded-circle p-0 mr-3" onclick="location.href='RecipeEditServlet?recipe_id=${recipeDetail.recipeId}&page_num=${pageNum}'"><i class="fas fa-sync-alt fa-lg"></i></button>

                    <!-- 削除ボタン -->
                    <button type="button" class="btn btn-info rounded-circle p-0" data-toggle="modal" data-target="#recipeDeleteModal"><i class="far fa-trash-alt fa-lg"></i></button>
                </div>
            </div>
            <div class="row">
                <div class="col-5 pr-0">
                    <div class="col-12 photoFlame">
                        <div class="polaroid">
                        <span class="masking-tape"></span>
                        <img class="d-block w-100" src="./image/photo/${recipeDetail.image}" alt="">
                        </div>
                    </div>
                    <div class="col-12 pr-0 pt-3">
                        <p class="noteLine">${recipeDetail.description}</p>
                    </div>
                </div>
                <div class="col-7 pl-0 d-flex justify-content-center">
                    <h5><span class="crayon">材料<br>（${recipeDetail.replacedServings}）</span></h5>
                    <p class="noteLine">${recipeDetail.replacedIngredients}</p>
                </div>
            </div>
            <div class="row">
                <div class="col-12 mt-3">
                    <h5><span class="crayon">作り方</span></h5>
                    <p class="noteLine">${recipeDetail.replacedPreparation}</p>
                </div>
            </div>
            <div class="row">
                <div class="col-12 mt-3">
                    <h5><span class="crayon">ポイント</span></h5>
                    <p class="noteLine">${recipeDetail.tips}</p>
                    <p>出典：
                    <c:choose>
					<c:when test="${fn:contains(recipeDetail.source, 'http')}"><a href="${recipeDetail.source}" id="source">${recipeDetail.source}</a></c:when>
					<c:otherwise>${recipeDetail.source}</c:otherwise>
					</c:choose>
                    </p>
                </div>
            </div>
            <hr>
            <div class="row">
                <div class="col-12">
                    <p>カテゴリ： <a href="RecipeSearchServlet?category_id=${recipeDetail.categoryId}"><i class="fas fa-folder fa-fw"></i>${recipeDetail.categoryName}</a></p>
                    <p>　　タグ：
						<c:choose>
						<c:when test="${fn:length(tagList) > 0}">
							<c:forEach var="tag" items="${tagList}">
							<a href="RecipeSearchServlet?tag_id=${tag.tagId}"><i class="fas fa-tag fa-fw"></i>${tag.tagName}</a>　
							</c:forEach>
						</c:when>
						<c:otherwise>登録なし</c:otherwise>
						</c:choose>
                    </p>
                </div>
            </div>
        </div>

        <!-- モーダル -->
        <div class="modal fade" id="recipeDeleteModal" tabindex="-1" role="dialog" aria-labelledby="basicModal" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="myModalLabel">削除確認</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="閉じる">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label>レシピ情報を復元することはできません。<br>本当に削除してよろしいですか？</label>
                    </div>
                    <div class="modal-footer justify-content-between">
                        <button type="button" class="btn btn-info" data-dismiss="modal">キャンセル</button>
                        <button type="button" class="btn btn-danger form-submit" onclick="location.href='RecipeDeleteServlet?recipe_id=${recipeDetail.recipeId}&page_num=${pageNum}'">削除</button>
                    </div>
                </div>
            </div>
        </div>


        <!-- 右インデックス -->
        <div class="col-1" id="right-col">
            <div class="navi">
            <div id="sidenav" class="sidenav">
                <a href="UserDetailServlet" id="user"><i class="fas fa-user"></i></a>
                <a href="RecipeSortServlet" id="settings"><i class="fas fa-folder-open"></i></a>
                <a href="RecipeParseServlet" id="add"><i class="fas fa-pen"></i></a>
                <a href="LogoutServlet" id="logout"><i class="fas fa-sign-out-alt"></i></a>
                <!-- <a href="#" id="about"><i class="far fa-calendar-alt"></i></a> -->
            </div>
            </div>
        </div>

    </div>
  </div>

    <!-- Optional JavaScript -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <!-- Original JavaScript -->
    <script type="text/javascript" src="./js/common.js"></script>
</body>
</html>